%% Load Data
load('pv_results.mat')
load('database.mat')

%% Get patient-related factors and primary stability output metrics
%INPUTS
Age = zeros(103,1);
for i=1:length(Age)
    Age(i) = subject(i).AGE;
end
BW = zeros(103,1);
for i=1:length(BW)
    BW(i) = subject(i).BW;
end
E = zeros(103,1);
for i=1:length(E)
    E(i) = subject(i).meanBQ;
end
D = zeros(103,1);
for i=1:length(D)
    D(i) = subject(i).ACETAB_DIAM;
end

InputData = [Age,D,E,BW];

%OUTPUTS
Micromotion = A(:,11);
PolarGap = A(:,10);

%% CHOOSE OUTPUT

Output =  PolarGap;

if Output == Micromotion
    YLIM = 800;
    Posn = [70,120];
elseif Output == PolarGap
    YLIM = 1600;
    Posn = [140,240];
end
%% Full Cohort
% 
% SubjectsIncluded = 1:length(InputData);
% figure
% subplot(1,2,1);
% w =10;
% b = boxplot(Output(SubjectsIncluded),'whisker',w);
% set(b,'LineWidth',1.5);
% set(b,'Color','k');
% set(gca,'YTick',0:400:1600);
% hold on
% ylim([0 YLIM])
% % set(gca,'XTickLabel',{[num2str(length(SubjectsIncluded)), ' Subjects']});
% set(gca,'XTickLabel',{});
% set(gca,'FontSize',12);
% str = {{['Median: ',num2str(round(median(Output(SubjectsIncluded))))]},{['IQR: ',num2str(round(prctile(Output(SubjectsIncluded),25))),' - ',num2str(round(prctile(Output(SubjectsIncluded),75)))]}};
% text([0.75 0.75],[YLIM-Posn(1) YLIM-Posn(2)],str,'FontSize',12)
% if Output == Micromotion
%     ylabel('Micromotion (\mum)','FontSize',14);
% else
%     ylabel('Polar Gap(\mum)','FontSize',14);
% end
% xlabel({'Full Cohort'; '103 Subjects'},'FontSize',14);
%% Random Sampling
% rand_perm_12 = zeros(100,12);
% rand_perm_24 = zeros(100,24);
% for i=1:100
%     rand_perm_12(i,:)=randperm(103,12);
%     rand_perm_24(i,:)=randperm(103,24);
% end
% 
% MM_RAND12 = zeros(100,12);
% MM_RAND24 = zeros(100,24);
% for i = 1:100
%     MM_RAND12(i,:) = MM_POP(rand_perm_12(i,:));
%     MM_RAND24(i,:) = MM_POP(rand_perm_24(i,:));
% end
% 
% IQR_12 = zeros(100,1);
% IQR_24 = zeros(100,1);
% for i = 1:100
%     IQR_12(i,1) = iqr(MM_RAND12(i,:));
%     IQR_24(i,1) = iqr(MM_RAND24(i,:));
% end
% 
% min_IQR_12 = find(IQR_12 == min(IQR_12));
% min_IQR_24 = find(IQR_24 == min(IQR_24));
% 
% max_IQR_12 = find(IQR_12 == max(IQR_12));
% max_IQR_24 = find(IQR_24 == max(IQR_24));
% 
% 
% figure
% YLIM = 800;
% w = (max(MM_POP)-prctile(MM_POP,75))/(prctile(MM_POP,75)-prctile(MM_POP,25));
% subplot(1,3,1);
% b=boxplot(MM_POP,'whisker',w);
% set(b,'LineWidth',1.5);
% set(b,'Color','k');
% set(gca,'YTick',[0:200:800]);
% set(gca,'XTickLabel',{});
% hold on
% ylabel('Micromotion (\mum)','FontSize',14);
% xlabel({'Full Cohort'; '103 Subjects'},'FontSize',14);
% ylim([0 YLIM])
% str = {{['Median: ',num2str(round(median(MM_POP)))]},{['IQR: ',num2str(round(prctile(MM_POP,25))),' - ',num2str(round(prctile(MM_POP,75)))]}};
% text([0.75 0.75],[YLIM-70 YLIM-120],str,'FontSize',12)
% 
% subplot(1,3,2);
% w = (max(MM_RAND12(min_IQR_12,:))-prctile(MM_RAND12(min_IQR_12,:),75))/(prctile(MM_RAND12(min_IQR_12,:),75)-prctile(MM_RAND12(min_IQR_12,:),25));
% C = [MM_RAND12(min_IQR_12,:),MM_RAND12(max_IQR_12,:)];
% grp = [ones(1,12),2*ones(1,12)];
% b=boxplot(C,grp,'whisker',w);
% set(b(:,1:2),'linewidth',1.5);
% set(b,'Color','k');
% set(gca,'YTick',[0:200:800]);
% set(gca,'XTickLabel',{'Min IQR','Max IQR'},'FontSize',12);
% set(gca,'YTickLabel',{''});
% xlabel({'Random Sampling';'12 Subjects'},'FontSize',14);
% ylim([0 YLIM])
% str = {{['Median: ',num2str(round(median(MM_RAND12(min_IQR_12,:))))]},{['IQR: ',num2str(round(prctile(MM_RAND12(min_IQR_12,:),25))),' - ',num2str(round(prctile(MM_RAND12(min_IQR_12,:),75)))]}};
% text([0.7 0.7],[YLIM-70 YLIM-120],str,'FontSize',10)
% str = {{['Median: ',num2str(round(median(MM_RAND12(max_IQR_12,:))))]},{['IQR: ',num2str(round(prctile(MM_RAND12(max_IQR_12,:),25))),' - ',num2str(round(prctile(MM_RAND12(max_IQR_12,:),75)))]}};
% text([1.6 1.6],[YLIM-70 YLIM-120],str,'FontSize',10)
% 
% subplot(1,3,3);
% w = (max(MM_RAND24(min_IQR_24,:))-prctile(MM_RAND24(min_IQR_24,:),75))/(prctile(MM_RAND24(min_IQR_24,:),75)-prctile(MM_RAND24(min_IQR_24,:),25));
% C=[MM_RAND24(min_IQR_24,:)',MM_RAND24(max_IQR_24,:)'];
% grp = [ones(1,24),2*ones(1,24)];
% b=boxplot(C,grp,'whisker',w);
% set(b(:,1:2),'linewidth',1.5);
% set(b,'Color','k');
% set(gca,'YTick',[0:200:800]);
% set(gca,'XTickLabel',{'Min IQR','Max IQR'},'FontSize',12);
% set(gca,'YTickLabel',{''});
% xlabel({'Random Sampling';'24 Subjects'},'FontSize',14);
% ylim([0 YLIM])
% str = {{['Median: ',num2str(round(median(MM_RAND24(min_IQR_24,:))))]},{['IQR: ',num2str(round(prctile(MM_RAND24(min_IQR_24,:),25))),' - ',num2str(round(prctile(MM_RAND24(min_IQR_24,:),75)))]}};
% text([0.7 0.7],[YLIM-70 YLIM-120],str,'FontSize',10)
% str = {{['Median: ',num2str(round(median(MM_RAND12(max_IQR_24,:))))]},{['IQR: ',num2str(round(prctile(MM_RAND12(max_IQR_24,:),25))),' - ',num2str(round(prctile(MM_RAND12(max_IQR_24,:),75)))]}};
% text([1.6 1.6],[YLIM-70 YLIM-120],str,'FontSize',10)
%% Anatomic Sampling
%NON GENDER STRATIFIED SAMPLING
% idx1 = find(D(:,1) == min(D(:,1)));
% tmp = D(:,1) - median(D(:,1));
% idx2 = find(abs(tmp(:,1))== min(abs(tmp)));
% idx3 = find(D(:,1) == max(D(:,1)));
% 
% idx4 = find(E(:,1) == min(E(:,1)));
% tmp = E(:,1) - median(E(:,1));
% idx5 = find(abs(tmp(:,1))== min(abs(tmp)));
% idx6 = find(E(:,1) == max(E(:,1)));
% 
% idx7 = find(Age(:,1) == min(Age(:,1)));
% tmp = Age(:,1) - median(Age(:,1));
% idx8 = find(abs(tmp(:,1))== min(abs(tmp)));
% idx9 = find(Age(:,1) == max(Age(:,1)));
% 
% idx10 = find(BW(:,1) == min(BW(:,1)));
% tmp = BW(:,1) - median(BW(:,1));
% idx11 = find(abs(tmp(:,1))== min(abs(tmp)));
% idx12 = find(BW(:,1) == max(BW(:,1)));
% 
% sample1 = [idx1(1) idx2(1) idx3(1) idx4(1) idx5(1) idx6(1) idx7(1)...
%     idx8(1) idx9(1) idx10(1) idx11(1) idx12(1)];
% %Diameter Removed
% sample2 = [idx4(1) idx5(1) idx6(1) idx7(1)...
%     idx8(1) idx9(1) idx10(1) idx11(1) idx12(1)];
% %Elastic Modulus Removed
% sample3 = [idx1(1) idx2(1) idx3(1) idx7(1)...
%     idx8(1) idx9(1) idx10(1) idx11(1) idx12(1)];
% %Age Removed
% sample4 = [idx1(1) idx2(1) idx3(1) idx4(1) idx5(1) idx6(1) idx10(1) idx11(1) idx12(1)];
% %Bodyweight Removed
% sample5 = [idx1(1) idx2(1) idx3(1) idx4(1) idx5(1) idx6(1) idx7(1)...
%     idx8(1) idx9(1)];
% 
% MM_SAMPLE1 = Output(sample1);


% % GENDER STRATIFIED  
% MM_POP = Output;
% G = A(:,1);
% AGE = zeros(103,1);
% for i=1:length(AGE)
%     AGE(i) = subject(i).AGE;
% end
% BW = zeros(103,1);
% for i=1:length(BW)
%     BW(i) = subject(i).BW;
% end
% E = zeros(103,1);
% for i=1:length(E)
%     E(i) = subject(i).meanBQ;
% end
% D = zeros(103,1);
% for i=1:length(D)
%     D(i) = subject(i).ACETAB_DIAM;
% end
% 
% % Male Subjects
% IDX = find(G(:,1) == 1);
% M = [AGE,D,E,BW,MM_POP];
% AGE = M(IDX,1);
% D = M(IDX,2);
% E = M(IDX,3);
% BW = M(IDX,4);
% MM_MALE = M(IDX,5);
% 
% idx1 = find(D(:,1) == min(D(:,1)));
% tmp = D(:,1) - prctile(D(:,1),25);
% idx2 = find(abs(tmp(:,1))== min(abs(tmp)));
% tmp = D(:,1) - median(D(:,1));
% idx3 = find(abs(tmp(:,1))== min(abs(tmp)));
% tmp = D(:,1) - prctile(D(:,1),75);
% idx4 = find(abs(tmp(:,1))== min(abs(tmp)));
% idx5 = find(D(:,1) == max(D(:,1)));
% 
% idx6 = find(E(:,1) == min(E(:,1)));
% tmp = E(:,1) - prctile(E(:,1),25);
% idx7 = find(abs(tmp(:,1))== min(abs(tmp)));
% tmp = E(:,1) - median(E(:,1));
% idx8 = find(abs(tmp(:,1))== min(abs(tmp)));
% tmp = E(:,1) - prctile(E(:,1),75);
% idx9 = find(abs(tmp(:,1))== min(abs(tmp)));
% idx10 = find(E(:,1) == max(E(:,1)));
% 
% idx11 = find(AGE(:,1) == min(AGE(:,1)));
% tmp = AGE(:,1) - prctile(AGE(:,1),25);
% idx12 = find(abs(tmp(:,1))== min(abs(tmp)));
% tmp = AGE(:,1) - median(AGE(:,1));
% idx13 = find(abs(tmp(:,1))== min(abs(tmp)));
% tmp = AGE(:,1) - prctile(AGE(:,1),75);
% idx14 = find(abs(tmp(:,1))== min(abs(tmp)));
% idx15 = find(AGE(:,1) == max(AGE(:,1)));
% 
% idx16 = find(BW(:,1) == min(BW(:,1)));
% tmp = BW(:,1) - prctile(BW(:,1),25);
% idx17 = find(abs(tmp(:,1))== min(abs(tmp)));
% tmp = BW(:,1) - median(BW(:,1));
% idx18 = find(abs(tmp(:,1))== min(abs(tmp)));
% tmp = BW(:,1) - prctile(BW(:,1),75);
% idx19 = find(abs(tmp(:,1))== min(abs(tmp)));
% idx20 = find(BW(:,1) == max(BW(:,1)));
% 
% sample1 = [idx1(1) idx3(1) idx5(1) idx6(1) idx8(1) idx10(1) idx11(3)...
%     idx13(1) idx15(1) idx16(1) idx18(1) idx20(1)];
% sample1 = unique(sample1);
% 
% 
% MM_MALE1 = zeros(length(sample1),1);
% for i=1:length(sample1)   
%     MM_MALE1(i) = MM_MALE(sample1(i));
% end
% 
% 
% MM_POP = Output;
% G = A(:,1);
% AGE = zeros(103,1);
% for i=1:length(AGE)
%     AGE(i) = subject(i).AGE;
% end
% BW = zeros(103,1);
% for i=1:length(BW)
%     BW(i) = subject(i).BW;
% end
% E = zeros(103,1);
% for i=1:length(E)
%     E(i) = subject(i).meanBQ;
% end
% D = zeros(103,1);
% for i=1:length(D)
%     D(i) = subject(i).ACETAB_DIAM;
% end
% % Female Subjects
% 
% IDX = find(G(:,1) == 0);
% F = [AGE,D,E,BW,MM_POP];
% AGE = F(IDX,1);
% D = F(IDX,2);
% E = F(IDX,3);
% BW = F(IDX,4);
% MM_FEMALE = F(IDX,5);
% 
% idx1 = find(D(:,1) == min(D(:,1)));
% tmp = D(:,1) - prctile(D(:,1),25);
% idx2 = find(abs(tmp(:,1))== min(abs(tmp)));
% tmp = D(:,1) - median(D(:,1));
% idx3 = find(abs(tmp(:,1))== min(abs(tmp)));
% tmp = D(:,1) - prctile(D(:,1),75);
% idx4 = find(abs(tmp(:,1))== min(abs(tmp)));
% idx5 = find(D(:,1) == max(D(:,1)));
% 
% idx6 = find(E(:,1) == min(E(:,1)));
% tmp = E(:,1) - prctile(E(:,1),25);
% idx7 = find(abs(tmp(:,1))== min(abs(tmp)));
% tmp = E(:,1) - median(E(:,1));
% idx8 = find(abs(tmp(:,1))== min(abs(tmp)));
% tmp = E(:,1) - prctile(E(:,1),75);
% idx9 = find(abs(tmp(:,1))== min(abs(tmp)));
% idx10 = find(E(:,1) == max(E(:,1)));
% 
% idx11 = find(AGE(:,1) == min(AGE(:,1)));
% tmp = AGE(:,1) - prctile(AGE(:,1),25);
% idx12 = find(abs(tmp(:,1))== min(abs(tmp)));
% tmp = AGE(:,1) - median(AGE(:,1));
% idx13 = find(abs(tmp(:,1))== min(abs(tmp)));
% tmp = AGE(:,1) - prctile(AGE(:,1),75);
% idx14 = find(abs(tmp(:,1))== min(abs(tmp)));
% idx15 = find(AGE(:,1) == max(AGE(:,1)));
% 
% idx16 = find(BW(:,1) == min(BW(:,1)));
% tmp = BW(:,1) - prctile(BW(:,1),25);
% idx17 = find(abs(tmp(:,1))== min(abs(tmp)));
% tmp = BW(:,1) - median(BW(:,1));
% idx18 = find(abs(tmp(:,1))== min(abs(tmp)));
% tmp = BW(:,1) - prctile(BW(:,1),75);
% idx19 = find(abs(tmp(:,1))== min(abs(tmp)));
% idx20 = find(BW(:,1) == max(BW(:,1)));
% 
% sample1 = [idx1(1) idx3(1) idx5(1) idx6(1) idx8(1) idx10(1) idx11(2)...
%     idx13(1) idx15(1) idx16(1) idx18(1) idx20(1)];
% sample1 = unique(sample1);
% 
% 
% MM_FEMALE1 = zeros(length(sample1),1);
% for i=1:length(sample1)    
%     MM_FEMALE1(i) = MM_FEMALE(sample1(i));
% end
% 
% 
% MM_GENDER1 = [MM_MALE1; MM_FEMALE1];
% 
%
% YLIM = 1600;
% figure
% w = (max(MM_POP)-prctile(MM_POP,75))/(prctile(MM_POP,75)-prctile(MM_POP,25));
% subplot(1,3,1);
% b=boxplot(MM_POP,'whisker',w);
% set(b,'LineWidth',1.5);
% set(b,'Color','k');
% set(gca,'YTick',[0:400:1600]);
% set(gca,'XTickLabel',{});
% hold on
% ylabel('Polar Gap (\mum)','FontSize',14);
% xlabel({'Full Cohort'; '103 Subjects'},'FontSize',14);
% ylim([0 YLIM])
% str = {{['Median: ',num2str(round(median(MM_POP)))]},{['IQR: ',num2str(round(prctile(MM_POP,25))),' - ',num2str(round(prctile(MM_POP,75)))]}};
% text([0.75 0.75],[YLIM-140 YLIM-240],str,'FontSize',12)

% subplot(1,2,2);
% w = (max(MM_SAMPLE1)-prctile(MM_SAMPLE1,75))/(prctile(MM_SAMPLE1,75)-prctile(MM_SAMPLE1,25));
% C = MM_SAMPLE1';
% b=boxplot(C,'whisker',w);
% set(gca,'linewidth',1)
% xlabel({'Anatomic Sampling'; [num2str(length(MM_SAMPLE1)),' Subjects']},'FontSize',14);
% set(b,'linewidth',1.5);
% set(b,'Color','k');
% set(gca,'YTickLabel',{});
% set(gca,'XTickLabel',{});
% ylim([0 YLIM])
% set(gca,'YTick',[0:400:1600]);
% str = {{['Median: ',num2str(round(median(MM_SAMPLE1)))]},{['IQR: ',num2str(round(prctile(MM_SAMPLE1,25))),' - ',num2str(round(prctile(MM_SAMPLE1,75)))]}};
% text([0.75 0.75],[YLIM-Posn(1) YLIM-Posn(2)],str,'FontSize',12)
% ylim([0 YLIM])
% 
% subplot(1,3,3);
% w = (max(MM_GENDER1)-prctile(MM_GENDER1,75))/(prctile(MM_GENDER1,75)-prctile(MM_GENDER1,25));
% C=MM_GENDER1;
% grp = ones(1,length(C));
% b=boxplot(C,grp,'whisker',w);
% xlabel({'Anatomic Sampling'; '24 Subjects'},'FontSize',14);
% set(b,'linewidth',1.5);
% set(b,'Color','k');
% set(gca,'XTickLabel',{});
% set(gca,'YTickLabel',{});
% ylim([0 YLIM])
% set(gca,'YTick',0:400:1600)
% str = {{['Median: ',num2str(round(median(MM_GENDER1)))]},{['IQR: ',num2str(round(prctile(MM_GENDER1,25))),' - ',num2str(round(prctile(MM_GENDER1,75)))]}};
% text([0.75 0.75],[YLIM-140 YLIM-240],str,'FontSize',12)
%% Convex Hull Sampling

[K,~] = convhulln(InputData);
K = unique(K);

SubjectsIncluded = K;

subplot(1,5,2)
% w = (max(Output(SubjectsIncluded))-prctile(Output(SubjectsIncluded),75))/(prctile(Output(SubjectsIncluded),75)-prctile(Output(SubjectsIncluded),25));
b = boxplot(Output(SubjectsIncluded),'whisker',w);
set(b,'LineWidth',1.5);
set(b,'Color','k');
set(gca,'YTick',0:400:1600);
ylim([0 YLIM])
% set(gca,'XTickLabel',{[num2str(length(SubjectsIncluded)), ' Subjects']});
set(gca,'XTickLabel',{});
set(gca,'YTickLabel',{});
str = {{['Median: ',num2str(round(median(Output(SubjectsIncluded))))]},{['IQR: ',num2str(round(prctile(Output(SubjectsIncluded),25))),' - ',num2str(round(prctile(Output(SubjectsIncluded),75)))]}};
text([0.75 0.75],[YLIM-140 YLIM-240],str,'FontSize',12)
xlabel({'Convex Hull'; '41 Subjects'},'FontSize',14);
%% Modified Convex Hull Sampling - Reduced Volume
% ii = [24 29 32];
% for jj = 1:length(jj)
% tempInputData = InputData;
% [K,InitialVol] = convhulln(tempInputData);
% K = unique(K);
% InitialConvexHull = tempInputData(K,:);
% 
% Vol=InitialVol;
% % for i=1:length(tempInputData(K,:))-5 %max number of data points that can be taken
% for i = 1:ii(jj)
%     
%     ConvexHullVol = zeros(length(InitialConvexHull),1);
%     for j = 1:length(InitialConvexHull)   
%         temp1InputData = InitialConvexHull;
%         temp1InputData(j,:) = [];
%         [~,LOOVol] = convhulln(temp1InputData);
%         ConvexHullVol(j) = LOOVol;
%     end
% 
%     [~,I] = min(abs(InitialVol - ConvexHullVol));
%     InitialConvexHull(I,:) = [];
%     [~,Vol(i+1)] = convhulln(InitialConvexHull);
% end
% 
% %Volume
% % figure 
% % plot(41:-1:42-length(Vol),Vol,'.k','Markersize',10)
% % hold on
% % set(gca, 'XDir','reverse')
% % set(gca,'FontSize',12)
% % hline1  = plot(0:41,ones(1,42)*InitialVol*0.9);
% % hline1.Color = 'k';
% % hline2  = plot(0:41,ones(1,42)*InitialVol*0.75);
% % hline2.Color = 'k';
% % hline2.LineStyle = '--';
% % hline3  = plot(0:41,ones(1,42)*InitialVol*0.5);
% % hline3.Color = 'k';
% % hline3.LineStyle = '-.';
% % hline3.LineWidth = 2;
% % ylim([0 InitialVol*1.25])
% % xlim([0 41])
% % legend([hline1 hline2 hline3],{'90% Vol.','75% Vol.','50% Vol.'},'FontSize',10)
% % xlabel('Subjects in Convex Hull','FontSize',12)
% % ylabel('Convex Hull Volume','FontSize',12)
% 
% XLabelVol={'90% Vol. ','75% Vol. ','50% Vol. '};
%  
% [K,~] = convhulln(InitialConvexHull);
% K = unique(K);
% 
% [~,I] = ismember(InitialConvexHull(K,:),InputData(:,:),'rows');
% 
% SubjectsIncluded = I;
% 
% subplot(1,5,2+jj)
% % w = (max(Output(SubjectsIncluded))-prctile(Output(SubjectsIncluded),75))/(prctile(Output(SubjectsIncluded),75)-prctile(Output(SubjectsIncluded),25));
% b = boxplot(Output(SubjectsIncluded),'whisker',w);
% set(b,'LineWidth',1.5);
% set(b,'Color','k');
% ylim([0 YLIM])
% %set(gca,'XTickLabel',{[num2str(length(SubjectsIncluded)), ' Subjects']});
% set(gca,'XTickLabel',{});
% set(gca,'YTickLabel',{});
% set(gca,'YTick',[0:400:1600]);
% str = {{['Median: ',num2str(round(median(Output(SubjectsIncluded))))]},{['IQR: ',num2str(round(prctile(Output(SubjectsIncluded),25))),' - ',num2str(round(prctile(Output(SubjectsIncluded),75)))]}};
% text([0.75 0.75],[YLIM-140 YLIM-240],str,'FontSize',12)
% xlabel({XLabelVol{jj};[num2str(length(SubjectsIncluded)), ' Subjects']},'FontSize',14);
% end
%% Largest Minimum-Distance Sampling
% for ii=1
% tempInputData = InputData;
% %tempInputData = [Age D];
% [K,~] = convhulln(tempInputData);
% %[K,~] = convhull(tempInputData);
% K = unique(K);
% PerimeterPoints = tempInputData(K,:);
% InsidePoints = tempInputData;
% InsidePoints(K,:) = [];
%     
% [IDX,Dist] = knnsearch(PerimeterPoints,InsidePoints,'k',1);
% [SortedD,IdxMaxMinDist] = sort(Dist, 'descend' );
% AddedInsidePoints = InsidePoints(IdxMaxMinDist(1:ii*5),:); %select as many point as wanted here
% 
% [~,IdxInside] = ismember(AddedInsidePoints(:,:),InputData(:,:),'rows');
% 
% SubjectsIncluded = IdxInside;
% 
% subplot(1,6,2+ii)
% %w = (max(Output(SubjectsIncluded))-prctile(Output(SubjectsIncluded),75))/(prctile(Output(SubjectsIncluded),75)-prctile(Output(SubjectsIncluded),25));
% b = boxplot(Output(SubjectsIncluded),'whisker',w);
% set(b,'LineWidth',1.5);
% set(b,'Color','k');
% ylim([0 YLIM])
% %set(gca,'XTickLabel',{[num2str(length(SubjectsIncluded)), ' Subjects']});
% set(gca,'XTickLabel',{});
% set(gca,'YTickLabel',{});
% set(gca,'YTick',[0:200:800]);
% str = {{['Median: ',num2str(round(median(Output(SubjectsIncluded))))]},{['IQR: ',num2str(round(prctile(Output(SubjectsIncluded),25))),' - ',num2str(round(prctile(Output(SubjectsIncluded),75)))]}};
% text([0.75 0.75],[YLIM-70 YLIM-120],str,'FontSize',12)
% xlabel([num2str(length(SubjectsIncluded)), ' Subjects'],'FontSize',14);
% end